      * {
        box-sizing: border-box;
      }

      body {
        font-family: "Nunito Sans", serif;
        margin: 0;
        /* Fondo: corregido a un degradado válido. Cambia aquí a un color sólido si lo prefieres. */
        background: linear-gradient(to right, #000B18 15%, #00264D 100%);
      }

      .wrapper {
        margin: 0;
        margin: 0 auto;
        display: grid;
        grid-template-columns: repeat(21, 1fr);
        grid-auto-rows: minmax(52px, auto);
      }

      header {
        background-color: rgba(0, 0, 0, 0.493);
        color: white;
        margin: 0;
        padding-top: 0;
        padding-bottom: 10px;
        margin-bottom: 0;
        grid-column: 1 / 22;
        grid-row: 1 ;
        position: -webkit-sticky; /* Para compatibilidad con Safari */
        position: sticky;
        top: 0;
        transition: background-color 0.3s ease ; /* Animación suave del fondo */
        z-index: 1000;
      }

    header.scrolled {
      background-color: #e5e5e5; /* Fondo blanco cuando se desplaza */
      color: black;
      box-shadow: 0px 6px 5px 0px rgba(0, 0, 0, 0.25);
      -webkit-box-shadow: 0px 6px 5px 0px rgba(135, 207, 235, 0.555);
      }

      .sd {
        text-align: center;
        margin: 0;
        color: white;
        background: linear-gradient(to right, #000B18 15%, #00264D 100%);
        padding-bottom: 10px;
        padding-top: 10px;
      }

      .info {
        margin: 0;
        padding: 0;
        font-size: 20px;
        margin: 15px;
        color: white;
      }

      .subtitle {
        font-size: 40px;
        margin: 20px 15px;
        color: #ffffff;
        text-shadow: 1px 2px 2px white;
      }

      .twotwo .subtitle {
        margin: 20px 15px;
        text-shadow: 1px 2px 2px #00796b;
      }

      h3 {
        font-size: 26px;
        margin: 20px 15px;
        color: white;
      }

      .slogan {
        font-size: 30px;
        margin: 20px 15px;
        color: white;
        font-family: "PT Serif", serif;
        letter-spacing: 1px;
        font-style: italic;
      }

      .links {
        display: flex;
        justify-content: center; /* Centrar horizontalmente */
        align-items: flex-end; /* Alinear al fondo del contenedor */
        height: 30px; /* Ajusta la altura según sea necesario */
        margin-top: 10px;
      }

      .links a {
        margin: 0 10px; /* Espaciado entre enlaces */
        color: white;
        font-size: 19px;  
        text-decoration: none;
        padding-left: 10px;
        padding-right: 10px;
        transition: 0.3s;
      }

      .links a:hover {
        transform: scale(1.10); /* Efecto de ligera expansión */
      }

      .links button {
        background-color: rgba(255, 0, 0, 0);
        color: white;
        border: none;
        font-size: 18px;
        cursor: pointer;
        border-radius: 25px;
        transition: background 0.5s ease-in-out, transform 0.3s ease-in-out;
      }

      .links button:hover {
        transform: scale(1.10); /* Efecto de ligera expansión */
      }

      header.scrolled .links a{
        color: black; /* Color de los enlaces cuando se desplaza */
      }

            header.scrolled .links button{
        color: black; /* Color de los enlaces cuando se desplaza */
      }



      header.scrolled .links a:hover {
        color: linear-gradient(to right, #000B18 15%, #00264D 100%);; /* Color de los enlaces cuando se desplaza */
      }

      li {
        list-style-type: none;
        margin: 10px;
      }

      .two {
        grid-column: 1 / 22;
        grid-row: 1 / 16; 
        background-image: url(../img/deepfakes-2.jpg);
        background-size: cover;

      }

      .twotwo {
        grid-column: 3 / 12;
        grid-row: 5 / 10;
        background: rgba(135, 207, 235, 0.5);
        border: 3px solid skyblue;
        color: rgb(255, 255, 255);
        border-radius: 15px;
      }

      .three {
        grid-column: 1 / 22;
        grid-row: 16 / 18;
        background: linear-gradient(to bottom right, rgb(50, 112, 228), rgb(110, 214, 255));
        text-align: center ;
      }

      .four {
        grid-column: 1 / 22;
        grid-row: 18 / 31;
        background-size: cover;
      }

      .five {
        grid-column: 9 / 18;
        grid-row: 29 / 32;
        background-color: rgba(135, 207, 235, 0.514);
        border-radius: 15px;
        border: 3px solid skyblue;
        background-size: cover;
        margin: 20px;
        margin-top: 0;
      }

      .six {
        grid-column: 5 / 14;
        grid-row: 26 / 29;
        background-color: rgba(248, 175, 248, 0.5);
        border: 3px solid rgb(221, 160, 221);
        border-radius: 15px;
        background-size: cover;
        margin: 20px;
        margin-top: 0;
      }

      .seven {
        grid-column: 5 / 18;
        grid-row: 19 / 25;
        text-align: center;
      }

      .eight {
        grid-column: 5 / 14;
        grid-row: 32 / 35;
        background-color: rgba(210, 180, 140, 0.5);
        border: 3px solid tan;
        border-radius: 15px;
        margin: 20px;
        margin-top: 0;
        margin-bottom: 0;
      }

      .nine {
        grid-column: 1 / 22;
        grid-row: 34 / 56;
      }

      .ten {
        grid-column: 6 / 17;
        grid-row: 36;
        text-align: center;
      }

      .ten p.info {
        text-align: left; 
      }

      .eleven {
        grid-column: 4 / 11;
        grid-row: 38 / 44;
        margin: 12px;
        background: url(../img/foto6.png);
        background-size: cover;
        background-position-x: center;
        background-position-y: center;
        border-radius: 15px;
        border: solid 3px skyblue;
      }

      .twelve {
        grid-column: 12 / 19;
        grid-row: 38 / 44;
        margin: 12px;
        background: url(../img/foto7.png);
        background-size: cover;
        background-position-x: center;
        background-position-y: center;
        border-radius: 15px;
        border: solid 3px tan;
      }


      .fourteen {
        grid-column: 4 / 11;
        grid-row: 44 / 50;
        margin: 12px;
        background: url(../img/foto8.png);
        background-size: cover;
        background-position-x: center;
        background-position-y: center;
        border-radius: 15px;
        border: solid 3px rgb(221, 160, 221);
      }

      .fifteen {
        grid-column: 12  / 19;
        grid-row: 44   / 50;
        margin: 12px;
        background: url(../img/foto5.png);
        background-size: cover;
        background-position-x: center;
        background-position-y: center;
        border-radius: 15px;
        border: solid 3px yellowgreen;
      } 

      .servicios-nombre {
        font-size: 20px;
        color: white;
      } 

      .servicios-boton {
        background-color: #ffffff;
        color: #0084a2;
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin-bottom: 20px ;
        cursor: pointer;
        border-radius: 25px;
        transition: background 0.5s ease-in-out, transform 0.3s ease-in-out;
      }

      .servicios-boton:hover {
        background-color: #ade0de;
       color: #004757;
        transform: scale(1.05); /* Efecto de ligera expansión */
      }

      .general-boton {
        background-color: #3362a0;
        color: white;
        border: none;
        padding: 10px 20px;
        text-align: center;
        text-decoration: none;
        display: inline-block;
        font-size: 18px;
        margin-bottom: 20px ;
        cursor: pointer;
        border-radius: 25px;
        transition: background 0.5s ease-in-out, transform 0.3s ease-in-out;
      }

      .general-boton:hover {
    background: linear-gradient(to bottom right, #00618b6b, #0084a294, #00b9bc7a);
    transform: scale(1.05); /* Efecto de ligera expansión */
}


      .seventeen {
        grid-column: 6 / 17;
        grid-row: 52 / 55;
        text-align: center;
      }

      .eighteen {
        grid-column: 1 / 22;
        grid-row: 56 / 58;
        background: linear-gradient(to bottom right, rgb(50, 112, 228), rgb(110, 214, 255));
        text-align: center;
      }

      .nineteen {
        grid-column: 1 / 22;
        grid-row: 85 / 89;;
        background-color: #ade0de;
        text-align: center;
      }

      .nineteen button:hover {
        background: linear-gradient(to bottom right, #00628b 1%, #0084a2 25%, #316364 100%);
      }

      .twenty {
        grid-column: 1 / 22;
        grid-row: 80 / 85;
        background-size: cover;
      }

      

      .twenty-one {
        grid-column: 6 / 17;
        grid-row: 59 / 61;
        text-align: center;
        margin-bottom: 30px;
      }

      .twenty-one p {
        text-align: left;
      }

     .twenty-two {
    grid-column: 4 / 11;
    grid-row: 62 / 68;
  }

  .twenty-three {
    grid-column: 12 / 19;
    grid-row: 62 / 68;
    background: url(../img/foto9.png);
    background-size: cover;
    background-position-x: center;
    background-position-y: center;
    border: solid 3px skyblue;
    border-radius: 15px;
  }

  .twenty-four {
    grid-column: 4 / 11;
    grid-row: 69 / 75;
  }

  .twenty-five {
    grid-column: 12 / 19;
    grid-row: 69 / 75;
    background: url(../img/foto10.png);
    background-size: cover;
    background-position-x: center;
    background-position-y: center;
    border: solid 3px tan;
    border-radius: 15px;
  }

  .twenty-six {
    grid-column: 4 / 11;
    grid-row: 76 / 82;
  }

  .twenty-seven {
    grid-column: 12 / 19;
    grid-row: 76 / 82;
    background: url(../img/foto11.png);
    background-size: cover;
    background-position-x: center;
    background-position-y: center;
    border: solid 3px rgb(221, 160, 221);
    border-radius: 15px;
  }

      .twenty-eight {
        grid-column: 6 / 17;
        grid-row: 82 / 84;
        text-align: center;
        border-radius: 15px;
        margin-top: 50px;
      }

      .twenty-eight button:hover{
        background: linear-gradient(to right, #000B18 15%, #00264D 100%);
      }

      .thirty {
        grid-column: 1 / 22;
        grid-row: 89 / 95;
        background-color: #6cbfc6;
        text-align: center;
      }

      .footer {
    background-color: #061d25;
    color: white;
    padding: 30px 20px;
    text-align: left;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
    max-width: 1200px;
    min-height: 180px;
    margin: auto;
}

.footer-section {
    flex: 1;
    min-width: 250px;
    margin: 10px;
}

.footer-section h3 {
    color: #6cbfc6;
    margin-bottom: 10px;
}

.footer-section a {
    color: #ade0de;
    text-decoration: none;
    transition: color 0.3s; 
}

.footer-section li {
    margin: 10px; 
}

.footer-section a:hover {
    color: #ffffff;
}

.footer-bottom {
    margin-top: 20px;
    padding-top: 15px;
    border-top: 1px solid #6cbfc6;
}

ul {
  list-style-type: none;
}

@keyframes show {
	from {
		opacity: 0;
		scale: 25%;
	}

	to {
		opacity: 1;
		scale: 100%;
	}
}

.three, .eighteen{
	view-timeline-name: --image;
	view-timeline-axis: block;

	animation-timeline: --image;
	animation-name: show;

	animation-range: entry 25% cover 30%;
	animation-fill-mode: both;
}

/*     RESPONSIVE     */

/*      RESPONSIVE PARA TABLET   1250px  */

@media (max-width: 1250px) {
  .wrapper {
    grid-template-columns: repeat(16, 1fr);
  }

  .two {
    grid-row: 1 / 13;
  }

  .twotwo {
    grid-column: 3 / 10;
    grid-row: 7 / 12;
  }

  .three {
    grid-column: 1 / 17;
    grid-row: 13;
  }

  .seven {
    grid-column: 4 / 14;
    grid-row: 15 / 23;
  }

  .six {
    grid-column: 11 / 15;
    grid-row: 25 / 29;
  }

  .five {
    grid-column: 3 / 7;
    grid-row: 25 / 29;
  }

  .eight {
    grid-column: 7 / 11;
    grid-row: 24 / 28 ;
  }

  .ten {
    grid-column: 4 / 14;
    grid-row: 31;
  }

  .eleven {
    grid-column: 4 / 9;
    grid-row: 33 / 38;
  }

  .twelve {
    grid-column: 9 / 14;
    grid-row: 33 / 38;
  }

  .fourteen {
    grid-column: 4 / 9;
    grid-row: 39 / 44;
  }


  .fifteen {
    grid-column: 9 / 14;
    grid-row: 39 / 44;
  }


  .seventeen {
    grid-column: 4 / 14;
    grid-row: 45 / 48;
  }

  .eighteen {
    grid-column: 1 / 17;
    grid-row: 49;
  }

  .nineteen {
    grid-column: 1 / 17;
    grid-row: 71;
  }

  .twenty {
    grid-column: 1 / 17;
    grid-row: 66 / 71;
  }

  .twenty-one {
    grid-column: 4 / 14;
    grid-row: 51;
  }

  .twenty-two {
    grid-column: 3 / 9;
    grid-row: 52 / 57;
  }

  .twenty-three {
    grid-column: 9 / 15;
    grid-row: 52 / 57;
  }

  .twenty-four {
    grid-column: 3 / 9;
    grid-row: 62 / 67;
  }

  .twenty-five {
    grid-column: 3 / 9;
    grid-row: 57 / 62;
  }

  .twenty-six {
    grid-column: 9 / 15;
    grid-row: 57 / 62;
  }

  .twenty-seven {
    grid-column: 9 / 15;
    grid-row: 62 / 67;
  }

  .twenty-eight {
    grid-column: 4 / 14;
    grid-row: 68 / 70;
  }

  .thirty {
    grid-column: 1 / 17;
    grid-row: 72 / 78;
  }
}


/*  RESPONSIVE 1024px   */

@media (max-width: 1024px) {

.thirty {
  grid-column: 1 / 17;
  grid-row: 72 / 94;
}
}
/*  RESPONSIVE 1000px   */ 

@media (max-width: 1000px) {
  .twotwo {
    grid-column: 2 / 9;
    grid-row: 6 / 11;
  }

  .slogan {
    font-size: 20px;
  }
}

/*  RESPONSIVE 920px   */

@media (max-width: 920px) {
  .header {
    padding-top: 0;
    padding-bottom: 0;
  }

  .links a {
    font-size: 18px;
  }

  .wrapper {
    grid-template-columns: repeat(13  , 1fr);
  }

  .five {
    margin-top: 30px;
    grid-column: 3 / 12;
    grid-row: 23 / 27;
  }

  .six {
    margin-top: 30px;
    grid-column: 3 / 12;
    grid-row: 31 / 35;
  }

  .seven {
    grid-column: 3 / 12;
    grid-row: 15 / 23;
  }

  .eight {
    margin-top: 30px;
    grid-column: 3 / 12;
    grid-row: 27  / 31;
  }
  
  .ten {
    grid-column: 3 / 12;
    grid-row: 36;
  }

  .eleven {
    margin-top: 30px;
    grid-column: 3 / 12;
    grid-row: 37 / 41;
  }


  .twelve {
    grid-column: 3 / 12;
    grid-row: 41 / 45;
  }


  .fourteen {
    grid-column: 3 / 12;
    grid-row: 45 / 49;
  }

  .fifteen {
    grid-column: 3 / 12;
    grid-row: 49 / 53;
  }

  .seventeen {
    grid-column: 3 / 12;
    grid-row: 53 / 55;
  }

  .eighteen {
    grid-column: 1 / 14;
    grid-row: 56;
  }

  .nineteen {
    grid-column: 1 / 14;
    grid-row: 77;
  }

  .twenty {
    grid-column: 1 / 14;
    grid-row: 73 /77;
  }

  .twenty-one {
    grid-column: 3 / 12;
    grid-row: 58;
  }

  .twenty-two {
    grid-column: 2 / 7;
    grid-row: 59 / 64;
  }

  .twenty-three {
    grid-column: 8 / 13;
    grid-row: 59 / 64;
  }

  .twenty-four {
    grid-column: 2 / 7;
    grid-row: 64 / 69;
  }

  .twenty-five {
    grid-column: 8 / 13;
    grid-row: 64 / 69;
  }

  .twenty-six {
    grid-column: 2 / 7;
    grid-row: 69 / 74;
  }

  .twenty-seven {
    grid-column: 8 / 13;
    grid-row: 69/ 74;
  }

  .twenty-eight {
    grid-column: 3 / 12;
    grid-row: 75;
  }

  .thirty {
    grid-column: 1 / 14;
    grid-row: 78;
  }

} 

/*  RESPONSIVE 768px   */

@media (max-width: 768px) {
  .header
  {
    padding-top: 0;
    padding-bottom: 0;
  }

  .links a {
    font-size: 16px;
  }

  .two {
    grid-row: 1 / 12;
  }

  .twotwo {
    grid-column: 2 / 8;
    grid-row: 6 / 11;
  }
}

/*  RESPONSIVE 600px   */

.menu-toggle, .close-menu {
        display: none;
        background: none;
        border: none;
        font-size: 24px;
        color: black;
        cursor: pointer;
    }

    @media (max-width: 600px) { 

        .menu-toggle {
            display: block;
            color: white;
        }

          header.scrolled .menu-toggle {
        color: black; /* Color de los enlaces cuando se desplaza */
      }

        header.scrolled .links a {
        color: #e5e5e5; /* Color de los enlaces cuando se desplaza */
      }

             header.scrolled .links button{
        color:#e5e5e5; /* Color de los enlaces cuando se desplaza */
      }

        .links {
            position: fixed;
            top: 0;
            left: -100%;
            width: 250px;
            height: 100vh;
            background-color: rgba(0, 0, 0, 0.9);
            flex-direction: column;
            align-items: start;
            padding: 60px 20px;
            transition: left 0.3s ease-in-out;
        }

        .links a {
            display: block;
            font-size: 20px;
            padding: 10px 0;
            color: white;
        }

        .links button {
            display: block;
            font-size: 20px;
            padding: 10px 0;
            color: white;
            margin-left: 12px;
        }

        .links.active {
            left: 0;
            color: white;
        }

        .close-menu {
            display: block;
            position: absolute;
            top: 10px;
            right: 15px;
            font-size: 28px;
            color:white;
        }

        .sd {
            font-size: 14px;
        }

        .info {
            font-size: 16px;
        }

        .subtitle {
            font-size: 24px;
        }

        h3 {
            font-size: 20px;
        }

        .slogan {
            font-size: 15px;
        }

        .servicios-nombre {
            font-size: 16px;
        }

        .servicios-boton {
            font-size: 16px;
        }

        .general-boton {
            font-size: 16px;
        }

        .footer-section h3 {
            font-size: 18px;
        }

        .footer-section a {
            font-size: 16px;
        }

        .footer-bottom {
            font-size: 14px;
        }

      .two {
        grid-row: 1 / 12;
      }

      .three {
        grid-column: 1 / 14;
        grid-row: 12;
      } 
  }

  /*  RESPONSIVE 430px   */

  @media (max-width: 430px) {
    .wrapper {
      grid-template-columns: repeat(10, 1fr);
    }

    .two {
      grid-column: 1 / 11;
      grid-row: 1 / 11;
      background-position-x: center;
      background-position-y: center;
    }

    .twotwo {
      grid-column: 1 / 11;
      grid-row: 9 / 11; ;
      border-bottom-left-radius:0 ;
      border-bottom-right-radius: 0;
    }

    .twotwo .subtitle {
      margin-top: 10px;
      margin-bottom: 10px;
    }

    .three {
      grid-column: 1 / 11;
      grid-row: 11;
    }

    .seven {
      grid-column: 1 / 11;
      grid-row: 13 / 20;
      margin-bottom: 10px;
    }

    .five {
      grid-column: 1 / 11;
      grid-row: 20 / 23;
      margin: 5px;
    }

    .six {
      grid-column: 1 / 11;
      grid-row: 23 / 26;
      margin: 5px;
    }

    .eight{
      grid-column: 1 / 11;
      grid-row: 26 / 29;
      margin: 5px;
    }

    .ten {
      grid-column: 1 / 11;
      grid-row: 30;
      margin-bottom: 15px;
    }

    .eleven {
      grid-column: 1 / 11;
      grid-row: 31 / 34;
      margin-top: 12px;
      padding: 100px;
    }


    .twelve {
      grid-column: 1 / 11;
      grid-row: 34 / 37;
      padding: 100px;
    }


    .fourteen {
      grid-column: 1 / 11;
      grid-row: 37 / 40;
      margin-top: 12px;
      padding: 100px;
    }

    .fifteen {
      grid-column: 1 / 11;
      grid-row: 40 /43;
      padding: 100px;
    }

    .sixteen {
      grid-column: 6 / 11;
      grid-row: 39 / 42;
    }


    .seventeen {
      grid-column: 1 / 11;
      grid-row: 43 / 48;
      margin-top: 30px;
    }

    .eighteen {
      grid-column: 1 / 11;
      grid-row: 47;
    }

    .twenty-one {
      grid-column: 1 / 11;
      grid-row: 49;
    }

    .twenty-two {
      grid-column: 1 / 6;
      grid-row: 50 / 55;
      border:solid 3px skyblue;
      margin-bottom: 10px;
    }

    .twenty-three {
      grid-column: 6 / 11;
      grid-row: 50 / 55;
      border-radius: 0;
      margin-bottom: 10px;
    }

    .twenty-four {
      grid-column: 1 / 6;
      grid-row: 55 / 60;
      border: 3px solid tan;
      margin-bottom: 10px;
    }

    .twenty-five {
      grid-column: 6 / 11;
      grid-row: 55 / 60;
      border-radius: 0;
      margin-bottom: 10px;
    }

    .twenty-six {
      grid-column: 1 / 6;
      grid-row: 60 / 65;
      border: 3px solid rgb(221, 160, 221);
      margin-bottom: 10px;
    }

    .twenty-seven {
      grid-column: 6 / 11;
      grid-row: 60 / 65;
      border-radius: 0;
      margin-bottom: 10px;
    }

    .twenty-eight {
      grid-column: 1 / 11;
      grid-row: 65;
      margin-bottom: 15px;
    }

    .twenty {
      grid-column: 1 / 11;
      grid-row: 63 / 66;
    }
    
    .nineteen{
      grid-column: 1 / 11;
      grid-row: 66;
    }

    .thirty {
      grid-column: 1 / 11;
      grid-row: 67 / 79;
    }
    }

    .general-boton{
      margin: 20px;
      margin-top: 0;
    }

    .twenty-eight .general-boton {
      padding-left: 40px;
      padding-right: 40px;
    }


  /*  RESPONSIVE 415px   */

  @media (max-width: 415px) {

    .thirty {
      grid-column: 1 / 11;


    }

    .sd {
      padding: 10px;
    }
  }

  /*  RESPONSIVE 390px   */

  .sd {
    padding: 12px;
  }
  /*  RESPONSIVE 375px   */

  @media (max-width: 375px) {

    .sd {
      padding: 10px;
    }
  }